/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.ee.EligibilityVerification;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface EligibilityVerificationMetaData
{
    public EligibilityVerification getEntity();

    public void setEntity(EligibilityVerification entity);

    public String getEligibilityStatus();
    
    public String getEligibilityStatusDate();

    public String getVerificationFacility();

    public String getVerificationMethod();

    public String getVerificationSource();
}